qr_codes.title

GET https://koenavi.jp/api/qr-codes/
curl --request GET \
--url 'https://koenavi.jp/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search 任意 文字列 (String) 検索文字列。
search_by 任意 文字列 (String) 検索対象フィールド。許可値: name。
type 任意 文字列 (String) 検索対象フィールド。許可値: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix。
datetime_field 任意 文字列 (String) 許可される値: datetime, last_datetime
datetime_start 任意 文字列 (String) 開始日時(Y-m-d H:i:s 形式)。
datetime_end 任意 文字列 (String) 終了日時(Y-m-d H:i:s 形式)。
order_by 任意 文字列 (String) 並び替え対象フィールド。許可値: qr_code_id, datetime, last_datetime, name, type。
order_type 任意 文字列 (String) 並び順。昇順は ASC、降順は DESC。
page 任意 整数 (Integer) 取得するページ番号(初期値: 1)。
results_per_page 任意 整数 (Integer) 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "link_id": 1,
            "type": "Example",
            "name": "Example",
            "qr_code": "Example",
            "qr_code_logo": "Example",
            "qr_code_background": "Example",
            "qr_code_foreground": "Example",
            "settings": [],
            "embedded_data": "Example",
            "last_datetime": null,
            "datetime": "2026-10-17 22:49:46"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://koenavi.jp/api/qr-codes?page=1",
        "last": "https://koenavi.jp/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://koenavi.jp/api/qr-codes?page=1"
    }
}
GET https://koenavi.jp/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-17 22:49:46"
    }
}
POST https://koenavi.jp/api/qr-codes
パラメータ 詳細 説明
project_id 任意 整数 (Integer) -
name 必須 文字列 (String) -
type 必須 文字列 (String) 許可される値: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk 任意 真偽値 (Boolean) 利用条件: type = text
url_dynamic_existing_link 任意 真偽値 (Boolean) 利用条件: url_dynamic = 1
url_dynamic 任意 真偽値 (Boolean) 利用条件: type = url
link_id 任意 整数 (Integer) 利用条件: url_dynamic = 1 + url_dynamic_existing_link = 1
style 任意 文字列 (String)
inner_eye_style 任意 文字列 (String) 許可される値: square, dot, rounded, diamond, flower, leaf
outer_eye_style 任意 文字列 (String) 許可される値: square, circle, rounded, flower, leaf
foreground_type 任意 文字列 (String) 許可される値: color, gradient
foreground_color 任意 文字列 (String) 利用条件: foreground_type = color
foreground_gradient_style 任意 文字列 (String) 許可される値: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 任意 文字列 (String) 利用条件: foreground_type = gradient
foreground_gradient_two 任意 文字列 (String) 利用条件: foreground_type = gradient
background_color 任意 文字列 (String)
background_color_transparency 任意 整数 (Integer)
custom_eyes_color 任意 真偽値 (Boolean)
eyes_inner_color 任意 文字列 (String) 利用条件: custom_eyes_color = 1
eyes_outer_color 任意 文字列 (String) 利用条件: custom_eyes_color = 1
qr_code_logo 任意 ファイル (File) -
qr_code_logo_size 任意 整数 (Integer) 5-35
qr_code_background 任意 ファイル (File) -
qr_code_background_transparency 任意 整数 (Integer) 0-100
qr_code_foreground 任意 ファイル (File) -
qr_code_foreground_transparency 任意 整数 (Integer) 0-100
frame 任意 文字列 (String) 許可される値: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 任意 文字列 (String)
frame_text_size 任意 整数 (Integer) -5 - 5
frame_text_font 任意 文字列 (String) 許可される値: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 任意 真偽値 (Boolean)
frame_color 任意 文字列 (String) 利用条件: frame_custom_colors = 1
frame_text_color 任意 文字列 (String) 利用条件: frame_custom_colors = 1
size 任意 整数 (Integer) 50-2000
margin 任意 整数 (Integer) 0-25
ecc 任意 文字列 (String) 許可される値: L, M, Q, H
text 任意 文字列 (String) 利用条件: type = text
url 任意 文字列 (String) 利用条件: type = url. 利用条件: url_dynamic = 0 / url_dynamic_existing_link = 0
phone 任意 文字列 (String) 利用条件: type = phone
sms 任意 文字列 (String) 利用条件: type = sms
sms_body 任意 文字列 (String) 利用条件: type = sms
email 任意 文字列 (String) 利用条件: type = email
whatsapp 任意 文字列 (String) 利用条件: type = whatsapp
whatsapp_body 任意 文字列 (String) 利用条件: type = whatsapp
facetime 任意 文字列 (String) 利用条件: type = facetime
facetime_audio 任意 文字列 (String) 利用条件: type = facetime_audio
location
location_latitude 任意 浮動小数点 (Float) 利用条件: type = location
location_longitude 任意 浮動小数点 (Float) 利用条件: type = location
wifi
wifi_ssid 任意 文字列 (String) 利用条件: type = wifi
wifi_encryption 任意 文字列 (String) 許可される値: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 任意 文字列 (String) 利用条件: type = wifi
wifi_is_hidden 任意 真偽値 (Boolean) 利用条件: type = wifi
event 任意 文字列 (String) 利用条件: type = event
event_location 任意 文字列 (String) 利用条件: type = event
event_url 任意 文字列 (String) 利用条件: type = event
event_note 任意 文字列 (String) 利用条件: type = event
event_timezone 任意 文字列 (String) 利用条件: type = event
event_start_datetime 任意 文字列 (String) 利用条件: type = event
event_end_datetime 任意 文字列 (String) 利用条件: type = event
event_first_alert_datetime 任意 文字列 (String) 利用条件: type = event
event_second_alert_datetime 任意 文字列 (String) 利用条件: type = event
crypto
crypto_coin 任意 文字列 (String) 利用条件: type = crypto
crypto_address 任意 文字列 (String) 利用条件: type = crypto
crypto_amount 任意 文字列 (String) 利用条件: type = crypto
vcard
vcard_first_name 任意 文字列 (String) 利用条件: type = vcard
vcard_last_name 任意 文字列 (String) 利用条件: type = vcard
vcard_company 任意 文字列 (String) 利用条件: type = vcard
vcard_phone_number_label[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_phone_number_value[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_email 任意 文字列 (String) 利用条件: type = vcard
vcard_url 任意 文字列 (String) 利用条件: type = vcard
vcard_job_title 任意 文字列 (String) 利用条件: type = vcard
vcard_birthday 任意 文字列 (String) 利用条件: type = vcard
vcard_street 任意 文字列 (String) 利用条件: type = vcard
vcard_city 任意 文字列 (String) 利用条件: type = vcard
vcard_zip 任意 文字列 (String) 利用条件: type = vcard
vcard_region 任意 文字列 (String) 利用条件: type = vcard
vcard_country 任意 文字列 (String) 利用条件: type = vcard
vcard_note 任意 文字列 (String) 利用条件: type = vcard
vcard_social_label[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_social_value[index] 任意 文字列 (String) 利用条件: type = vcard
paypal
paypal_type 任意 文字列 (String) 許可される値: buy_now, add_to_cart, donation (type=paypal)
paypal_email 任意 文字列 (String) 利用条件: type = paypal
paypal_title 任意 文字列 (String) 利用条件: type = paypal
paypal_currency 任意 文字列 (String) 利用条件: type = paypal
paypal_price 任意 浮動小数点 (Float) 利用条件: type = paypal
paypal_thank_you_url 任意 文字列 (String) 利用条件: type = paypal
paypal_cancel_url 任意 文字列 (String) 利用条件: type = paypal
upi
upi_payee_id 任意 文字列 (String) 利用条件: type = upi
upi_payee_name 任意 文字列 (String) 利用条件: type = upi
upi_currency 任意 文字列 (String) 利用条件: type = upi
upi_amount 任意 浮動小数点 (Float) 利用条件: type = upi
upi_transaction_id 任意 文字列 (String) 利用条件: type = upi
upi_transaction_note 任意 文字列 (String) 利用条件: type = upi
upi_transaction_reference 任意 文字列 (String) 利用条件: type = upi
upi_thank_you_url 任意 文字列 (String) 利用条件: type = upi
epc
epc_iban 任意 文字列 (String) 利用条件: type = epc
epc_payee_name 任意 文字列 (String) 利用条件: type = epc
epc_currency 任意 文字列 (String) 利用条件: type = epc
epc_amount 任意 浮動小数点 (Float) 利用条件: type = epc
epc_bic 任意 文字列 (String) 利用条件: type = epc
epc_remittance_reference 任意 文字列 (String) 利用条件: type = epc
epc_remittance_text 任意 文字列 (String) 利用条件: type = epc
information 任意 文字列 (String) 利用条件: type = epc
pix
pix_payee_key 任意 文字列 (String) 利用条件: type = pix
pix_payee_name 任意 文字列 (String) 利用条件: type = pix
pix_currency 任意 文字列 (String) 利用条件: type = pix
pix_amount 任意 浮動小数点 (Float) 利用条件: type = pix
pix_city 任意 文字列 (String) 利用条件: type = pix
pix_transaction_id 任意 文字列 (String) 利用条件: type = pix
pix_description 任意 文字列 (String) 利用条件: type = pix
bulk_request 任意 文字列 (String) -
qr_code_logo_remove 任意 真偽値 (Boolean) -
qr_code_background_remove 任意 真偽値 (Boolean) -
qr_code_foreground_remove 任意 真偽値 (Boolean) -
encoding 任意 配列 (Array) -
sms 任意 配列 (Array) -
email 任意 配列 (Array) -
whatsapp 任意 配列 (Array) -
event 任意 配列 (Array) -
qr_code 任意 配列 (Array) -
embedded_data 任意 配列 (Array) -
パラメータ 詳細 説明
curl --request POST \
--url 'https://koenavi.jp/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-17 22:49:46"
    }
}
POST https://koenavi.jp/api/qr-codes/{qr_code_id}
パラメータ 詳細 説明
project_id 任意 文字列 (String) -
name 任意 文字列 (String) -
type 任意 文字列 (String) 許可される値: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic 任意 真偽値 (Boolean) 利用条件: type = url
url_dynamic_existing_link 任意 真偽値 (Boolean) 利用条件: url_dynamic = 1
link_id 任意 整数 (Integer) 利用条件: url_dynamic = 1 + url_dynamic_existing_link = 1
style 任意 文字列 (String) 許可される値: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style 任意 文字列 (String) 許可される値: square, dot, rounded, diamond, flower, leaf
outer_eye_style 任意 文字列 (String) 許可される値: square, circle, rounded, flower, leaf
foreground_type 任意 文字列 (String) 許可される値: color, gradient
foreground_color 任意 文字列 (String) 利用条件: foreground_type = color
foreground_gradient_style 任意 文字列 (String) 許可される値: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 任意 文字列 (String) 利用条件: foreground_type = gradient
foreground_gradient_two 任意 文字列 (String) 利用条件: foreground_type = gradient
background_color 任意 文字列 (String)
background_color_transparency 任意 整数 (Integer) 0 - 100
custom_eyes_color 任意 真偽値 (Boolean)
eyes_inner_color 任意 文字列 (String) 利用条件: custom_eyes_color = 1
eyes_outer_color 任意 文字列 (String) 利用条件: custom_eyes_color = 1
qr_code_logo 任意 ファイル (File) -
qr_code_logo_size 任意 整数 (Integer) 5-35
qr_code_background 任意 ファイル (File) -
qr_code_background_transparency 任意 整数 (Integer) 0-100
qr_code_foreground 任意 ファイル (File) -
qr_code_foreground_transparency 任意 整数 (Integer) 0-100
frame 任意 文字列 (String) 許可される値: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 任意 文字列 (String)
frame_text_size 任意 整数 (Integer) -5 -> 5
frame_text_font 任意 文字列 (String) 許可される値: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 任意 真偽値 (Boolean)
frame_color 任意 文字列 (String) 利用条件: frame_custom_colors = 1
frame_text_color 任意 文字列 (String) 利用条件: frame_custom_colors = 1
size 任意 整数 (Integer) 50-2000
margin 任意 整数 (Integer) 0-25
ecc 任意 文字列 (String) 許可される値: L, M, Q, H
text 任意 文字列 (String) 利用条件: type = text
url 任意 文字列 (String) 利用条件: type = url. 利用条件: url_dynamic = 0 / url_dynamic_existing_link = 0
phone 任意 文字列 (String) 利用条件: type = phone
sms 任意 文字列 (String) 利用条件: type = sms
sms_body 任意 文字列 (String) 利用条件: type = sms
email 任意 文字列 (String) 利用条件: type = email
whatsapp 任意 文字列 (String) 利用条件: type = whatsapp
whatsapp_body 任意 文字列 (String) 利用条件: type = whatsapp
facetime 任意 文字列 (String) 利用条件: type = facetime
facetime_audio 任意 文字列 (String) 利用条件: type = facetime_audio
location
location_latitude 任意 浮動小数点 (Float) 利用条件: type = location
location_longitude 任意 浮動小数点 (Float) 利用条件: type = location
wifi
wifi_ssid 任意 文字列 (String) 利用条件: type = wifi
wifi_encryption 任意 文字列 (String) 許可される値: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 任意 文字列 (String) 利用条件: type = wifi
wifi_is_hidden 任意 真偽値 (Boolean) 利用条件: type = wifi
event 任意 文字列 (String) 利用条件: type = event
event_location 任意 文字列 (String) 利用条件: type = event
event_url 任意 文字列 (String) 利用条件: type = event
event_note 任意 文字列 (String) 利用条件: type = event
event_timezone 任意 文字列 (String) 利用条件: type = event
event_start_datetime 任意 文字列 (String) 利用条件: type = event
event_end_datetime 任意 文字列 (String) 利用条件: type = event
event_first_alert_datetime 任意 文字列 (String) 利用条件: type = event
event_second_alert_datetime 任意 文字列 (String) 利用条件: type = event
crypto
crypto_coin 任意 文字列 (String) 利用条件: type = crypto
crypto_address 任意 文字列 (String) 利用条件: type = crypto
crypto_amount 任意 文字列 (String) 利用条件: type = crypto
vcard
vcard_first_name 任意 文字列 (String) 利用条件: type = vcard
vcard_last_name 任意 文字列 (String) 利用条件: type = vcard
vcard_company 任意 文字列 (String) 利用条件: type = vcard
vcard_phone_number_label[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_phone_number_value[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_email 任意 文字列 (String) 利用条件: type = vcard
vcard_url 任意 文字列 (String) 利用条件: type = vcard
vcard_job_title 任意 文字列 (String) 利用条件: type = vcard
vcard_birthday 任意 文字列 (String) 利用条件: type = vcard
vcard_street 任意 文字列 (String) 利用条件: type = vcard
vcard_city 任意 文字列 (String) 利用条件: type = vcard
vcard_zip 任意 文字列 (String) 利用条件: type = vcard
vcard_region 任意 文字列 (String) 利用条件: type = vcard
vcard_country 任意 文字列 (String) 利用条件: type = vcard
vcard_note 任意 文字列 (String) 利用条件: type = vcard
vcard_social_label[index] 任意 文字列 (String) 利用条件: type = vcard
vcard_social_value[index] 任意 文字列 (String) 利用条件: type = vcard
paypal
paypal_type 任意 文字列 (String) 許可される値: buy_now, add_to_cart, donation (type=paypal)
paypal_email 任意 文字列 (String) 利用条件: type = paypal
paypal_title 任意 文字列 (String) 利用条件: type = paypal
paypal_currency 任意 文字列 (String) 利用条件: type = paypal
paypal_price 任意 浮動小数点 (Float) 利用条件: type = paypal
paypal_thank_you_url 任意 文字列 (String) 利用条件: type = paypal
paypal_cancel_url 任意 文字列 (String) 利用条件: type = paypal
upi
upi_payee_id 任意 文字列 (String) 利用条件: type = upi
upi_payee_name 任意 文字列 (String) 利用条件: type = upi
upi_currency 任意 文字列 (String) 利用条件: type = upi
upi_amount 任意 浮動小数点 (Float) 利用条件: type = upi
upi_transaction_id 任意 文字列 (String) 利用条件: type = upi
upi_transaction_note 任意 文字列 (String) 利用条件: type = upi
upi_transaction_reference 任意 文字列 (String) 利用条件: type = upi
upi_thank_you_url 任意 文字列 (String) 利用条件: type = upi
epc
epc_iban 任意 文字列 (String) 利用条件: type = epc
epc_payee_name 任意 文字列 (String) 利用条件: type = epc
epc_currency 任意 文字列 (String) 利用条件: type = epc
epc_amount 任意 浮動小数点 (Float) 利用条件: type = epc
epc_bic 任意 文字列 (String) 利用条件: type = epc
epc_remittance_reference 任意 文字列 (String) 利用条件: type = epc
epc_remittance_text 任意 文字列 (String) 利用条件: type = epc
information 任意 文字列 (String) 利用条件: type = epc
pix
pix_payee_key 任意 文字列 (String) 利用条件: type = pix
pix_payee_name 任意 文字列 (String) 利用条件: type = pix
pix_currency 任意 文字列 (String) 利用条件: type = pix
pix_amount 任意 浮動小数点 (Float) 利用条件: type = pix
pix_city 任意 文字列 (String) 利用条件: type = pix
pix_transaction_id 任意 文字列 (String) 利用条件: type = pix
pix_description 任意 文字列 (String) 利用条件: type = pix
qr_code_logo_remove 任意 真偽値 (Boolean) -
qr_code_background_remove 任意 真偽値 (Boolean) -
qr_code_foreground_remove 任意 真偽値 (Boolean) -
encoding 任意 配列 (Array) -
sms 任意 配列 (Array) -
email 任意 配列 (Array) -
whatsapp 任意 配列 (Array) -
event 任意 配列 (Array) -
qr_code 任意 配列 (Array) -
embedded_data 任意 配列 (Array) -
curl --request POST \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-17 22:49:46"
    }
}
DELETE https://koenavi.jp/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \